slapos.core (1.1.2-1) unstable; urgency=low

  * New upstream release.
    + debian/patches: Refreshed.
    + debian/slapos-node-unofficial.install: New collect/boot subcommand.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 11 Jun 2014 14:22:52 +0900

slapos.core (1.0.3-2) unstable; urgency=medium

  * debian/patches/fix_static_opt_path.patch:
    + Fix static '/opt/' path.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 24 Apr 2014 16:17:51 +0900

slapos.core (1.0.3-1) unstable; urgency=medium

  * New upstream release.
    + debian/patches/fix_register_configuration_replace.patch,
      debian/patches/fix_setup_depends.patch,
      debian/patches/fix_tests_install_requires.patch:
      - Dropped as they have been applied upstream.
    + debian/slapos-node-unofficial.install:
      - Add slapos/cli/boot.py.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 25 Mar 2014 19:22:41 +0900

slapos.core (1.0.2.1-4) unstable; urgency=medium

  * Add cli/register.py to allow registering a node to the master.
    + debian/slapos-node-unofficial.install: Added.
    + debian/patches/system_configuration_file_by_default.patch:
      - Fix paths statically set to use system-wide ones.
    + debian/patches/fix_register_configuration_replace.patch:
      - Fix upstream replace regular expression which is too greedy.
  * debian/conf/slapos-node-unofficial.cfg:
    + bridge_name has been deprecated upstream by interface_name
      a long time ago.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 24 Feb 2014 17:01:47 +0900

slapos.core (1.0.2.1-3) unstable; urgency=medium

  * debian/conf/slapos-node-unofficial.cfg:
    + Use default path for supervisord socket to avoid breaking existing
      configuration and it should be in instance directory anyway.
  * debian/control:
    + Add Replaces and Breaks as util.py used only by slapos-node-unofficial
      was wrongly installed in slapos-client before 1.0.2.1-1. Thanks to
      Andreas Beckmann. Closes: #738601.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 18 Feb 2014 16:23:53 +0900

slapos.core (1.0.2.1-2) unstable; urgency=medium

  * debian/slapos-node-unofficial:
    + Remove 'bang' command, deprecated in favor of 'slapos node bang'.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 07 Feb 2014 18:21:35 +0900

slapos.core (1.0.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 3.9.5. No change needed.
  * debian/copyright:
    + Update copyright years.
  * debian/po/ja.po:
    + Update translation. Thanks to victory.deb@gmail.com. Closes: #717710.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 07 Feb 2014 16:34:17 +0900

slapos.core (0.35.1-4) unstable; urgency=low

  [ Arnaud Fontaine ]
  * Move configuration files used by debconf from
    /usr/share/doc/<package>/examples to /usr/share/<package> as the
    former is a policy violation (12.3) and link them in
    /usr/share/doc/examples instead.  Closes: #710067.
  * debian/patches/slapos_command_split_up.patch:
    + Fix string formatting error introduced by this patch.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 28 May 2013 11:31:24 +0900

slapos.core (0.35.1-3) unstable; urgency=low

  * debian/control, debian/pydist-overrides,
    debian/patches/do_not_use_debian_zc.buildout.patch:
    + Use Debian buildout, otherwise SR fails to build because at
      bootstrap, official zc.buildout is installed and later conflict with
      SlapOS patched zc.buildout as they are both in eggs directory.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 27 Mar 2013 13:23:19 +0900

slapos.core (0.35.1-2) unstable; urgency=low

  * debian/patches/fix_tests_install_requires.patch, debian/pydist-overrides:
    + Python modules required only for tests should not be in
      install_requires, but in tests_require.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 04 Mar 2013 19:06:25 +0900

slapos.core (0.35.1-1) unstable; urgency=low

  * New upstream release.
    + Refresh debian/patches/*.
    + debian/slapos-client.install: add new files.
    + debian/slapos-node-unofficial.install: new slapproxy-query command.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 28 Feb 2013 19:25:16 +0900

slapos.core (0.34-1) unstable; urgency=low

  * New upstream release.
    + debian/slapos-client.install: new "cache" command.
    + debian/pydist-overrides, debian/control:
      - Do not add pyflakes and unittest2 to Depends (required for
        tests only), rather add them to Suggests.
    + A new command was introduced, slapos, which allows one to specify
      node subcommands, but this should only be available if
      slapos-node-unofficial package is installed.
      - Add debian/patches/slapos_command_split_up.patch.
      - debian/slapos-client.install: add "entry" file.
    + debian/patches/system_configuration_file_by_default.patch: Update.
    + Add debian/patches/do_not_use_debian_zc.buildout.patch:
      - zc.buildout seems to have been wrongly re-introduced as a dependency.
    + debian/slapos-node-unofficial.docs:
      - Add README.proxy.txt not empty anymore.
    + Refresh debian/conf/slapos*.cfg.
  * Use ucf to manage /etc/slapos/*.cfg configuration files.
  * debian/control:
    + slapos-node-unofficial must depend on the current version of
      slapos-client, otherwise pkg_resources fails when checking version.
    + Bump Standards-Version to 3.9.4. No changes needed.
  * debian/slapos-node-unofficial.cron.d:
    + Specify ``--logfile'' and ``--pidfile'' for slapgrid commands.
  * debian/conf/slapos-node-unofficial.cfg:
    + Enable shacache for building Software Releases.
  * debian/rules:
    + Prevent *.cfg example files to be compressed as they are used as
      templates during installation.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 07 Feb 2013 11:58:44 +0900

slapos.core (0.25-2) unstable; urgency=low

  * debian/po/pt.po:
    + Update translation. Thanks to Rui Pedro. Closes: #674741.
  * debian/*.postinst:
    + Fix package name in configuration file generated with debconf.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 31 May 2012 14:24:57 +0900

slapos.core (0.25-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New upstream release.
    + Update debian/patches/system_configuration_file_by_default.patch.
  * Split node part of slapos-client (now only contains slap library and
    slapconsole) into slapos-node-unofficial.
    + Add debian/slapos-client.NEWS.Debian.
    + Add Replaces and Conflicts against slapos-client before this version
      on slapos-node-unofficial.
    + Move debian/README.Debian to slapos-node-unofficial package.
    + Split configuration into two configuration files but synchronize
      master_url, cert_file and key_file configuration options between both
      files and define them as shared debconf templates.
      - Update debian/patches/system_configuration_file_by_default.patch.
  * Do not delete slapos-core.egg-info as data files not specified in
    setup.py will not be installed upon second build, thus replace
    debian/clean by debian/source/options to ignore that directories.
  * Bump Standards-Version to 3.9.3.
    + Update Format URL as DEP5 has been accepted.
  * debian/copyright:
    + Fix Zope license name in debian/copyright and fix GPL-3 to GPL-3+.
  * debian/control:
    + Fix typo on SaaS acronym in Descriptions.
    + Add libtool, autoconf and automake to Recommends of
      slapos-node-unofficial as they are commonly needed.
  * debian/rules: fix creation of snapshot upstream tarball.
  * debian/conf/slapos-node-unofficial.cfg:
    + Fix typo in supervisord_socket option.
    + Add log_file option to slapproxy section.

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
    + Danish (Joe Hansen). Closes: #650951
    + Spanish; (Javier Fernández-Sanguino). Closes: #656397
    + Polish (Michał Kułach). Closes: #667950
    + Italian (Beatrice Torracca). Closes: #668628
    + Czech (Michal Simunek). Closes: #668632

 -- Arnaud Fontaine <arnau@debian.org>  Sat, 19 May 2012 16:49:01 +0900

slapos.core (0.12-2) unstable; urgency=low

  * debian/control:
    + Use python2.7 instead (as supervisor is now working fine with
      python2.7) and Build-Depends explicitly on >= 2.7.2-2~ because of a
      bug when generating Depends in previous versions. Closes: #643999.
      - Drop debian/patches/fix_python26_missing_initgroups.patch.
  * debian/po:
    + Update German translation. Thanks to Chris Leick. Closes: #642137.
    + Update Swedish translation. Thanks to Martin Bagge. Closes: #640047.
    + Update Dutch translation. Thanks to Jeroen Schot. Closes: #638981.
  * debian/copyright:
    + Fix DEP5 syntax error (missing dots to separate paragraphs).
    + Add standalone License paragraph as GPL-3 is referenced multiple times.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 05 Oct 2011 14:07:41 +0900

slapos.core (0.12-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Bump python and python2.6 Build-Depends to 2.6.6-14 (not python only
      because Ubuntu ships python-defaults 2.7.1 based on 2.6.6-6 from Debian)
      which properly supports namespace packages for dh_python2.
  * debian/po:
    + Update Russian translation. Thanks to Yuri Kozlov. Closes: #635144.
    + Update French translation. Thanks to Christian Perrier. Closes: #634095.
    + Add German translation. Thanks to Chris Leick. Closes: #629045.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 18 Jul 2011 12:07:53 +0200

slapos.core (0.8+20110708+1.git5c55e0e-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/patches/system_configuration_file_by_default.patch:
    + Patch slapconsole and slapos-request as well as it now parsed
      /etc/slapos/slapos.cfg.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 08 Jul 2011 13:44:25 +0200

slapos.core (0.8+20110701+1.gitc5b5897-1) unstable; urgency=low

  * New upstream snapshot.
  * Allow to specify the  software release root through debconf, necessary
    when using a  SlapOS master (it must be the  same independently of the
    GNU/Linux distribution).
  * debian/config:
    + Fix typo  on ipv4_local_network name, which was  not set properly in
      generated /etc/slapos/slapos.cfg file.
  * debian/watch:
    + Mangle debian version to remove the snapshot-specific versioning.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 01 Jul 2011 15:11:55 +0200

slapos.core (0.8-1) unstable; urgency=low

  * New upstream release.
  * Add debian/watch.
  * debian/patches/fix_zc.buildout_conflict.patch:
    + Drop because it was applied upstream.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 29 Jun 2011 14:05:39 +0200

slapos.core (0.3~20110608+1.git9496d81-1) unstable; urgency=low

  * slapos.slap, slapos.tool.grid and slapos.tool.format have been merged
    upstream into slapos.core.
  * debian/po:
    + Add Swedish translation. Thanks to Martin Bagge. Closes: #628865.
    + Add Danish translation. Thanks to Joe Dalton. Closes: #628202.
    + Add French translation. Thanks to Julien Patriarca. Closes: #629454.
    + Add Portuguese translation. Thanks to Rui Branco and Miguel Figueiredo.
      Closes: #628837.
    + Add Czech translation. Thanks to Michal Simunek. Closes: #628151.
    + Add Dutch translation. Thanks to Jeroen Schot. Closes: #629388.
    + Add Spanish translation. Thanks to Francisco Javier Cuadrado.
      Closes: #630165.
    + Add Russian translation. Thanks to Yuri Kozlov. Closes: #628187.
    + Add Japanese translation. Thanks to Hideki Yamane. Closes: #628705.
  * debian/control, debian/templates:
    + Improve phrasing. Thanks to Christian Perrier. Closes: #627640.
  * debian/templates:
    + Remove meaningless bridge_note debconf note (debconf abuse).
      Closes: #626091.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 14 Jun 2011 15:47:56 +0900
